NICE(2)

NAME
nice - change process priority

SYNOPSIS
#include <unistd.h>

int nice(int inc);

DESCRIPTION
nice adds inc to the priority for the calling pid. Only the superuser may specify a negative increment, or priority increase.

Note that internally, a higher number is a higher priority. Do not confuse this with the priority scheme as used by the nice interface.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EPERM
    A non-super user attempts to do a priority increase, a numerical decrease, by supplying a negative inc.

CONFORMING TO
SVr4, SVID EXT, AT&T, X/OPEN, BSD 4.3. SVr4 documents an additional EINVAL error code.

SEE ALSO
nice(1), setpriority(2), fork(2), renice(8)